Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.opensymphony.oscache.base.algorithm
Class AbstractConcurrentReadCache.Entry

    java.lang.Object
      com.opensymphony.oscache.base.algorithm.AbstractConcurrentReadCache.Entry

All Implemented Interfaces:
  java.util.Map.Entry

Enclosing class:
  AbstractConcurrentReadCache

protected static class AbstractConcurrentReadCache.Entry
extends java.lang.Object
implements java.util.Map.Entry

AbstractConcurrentReadCache collision list entry.

Field Summary
`protected int` | `hash`
`protected java.lang.Object` | `key`
`protected AbstractConcurrentReadCache.Entry` | `next`
`protected java.lang.Object` | `value`

Method Summary
`protected java.lang.Object` | `clone()`
`boolean` | `equals(java.lang.Object o)`
`java.lang.Object` | `getKey()`
`java.lang.Object` | `getValue()` Get the value.
`int` | `hashCode()`
`java.lang.Object` | `setValue(java.lang.Object value)` Set the value of this entry.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### next

    protected final AbstractConcurrentReadCache.Entry next

### key

    protected final java.lang.Object key

### hash

    protected final int hash

### value

    protected volatile java.lang.Object value

Method Detail

### getKey

    public java.lang.Object getKey()

  Specified by:
    `getKey` in interface `java.util.Map.Entry`

### setValue

    public java.lang.Object setValue(java.lang.Object value)

  Set the value of this entry. Note: In an entrySet or entrySet.iterator), unless the set or iterator is used under synchronization of the table as a whole (or you can otherwise guarantee lack of concurrent modification), `setValue` is not strictly guaranteed to actually replace the value field obtained via the `get` operation of the underlying hash table in multithreaded applications. If iterator-wide synchronization is not used, and any other concurrent `put` or `remove` operations occur, sometimes even to other entries, then this change is not guaranteed to be reflected in the hash table. (It might, or it might not. There are no assurances either way.)

  Specified by:
    `setValue` in interface `java.util.Map.Entry`
  Parameters:
    `value` - the new value.
  Returns:
    the previous value, or null if entry has been detectably removed.
  Throws:
    `java.lang.NullPointerException` - if the value is `null`.

### getValue

    public java.lang.Object getValue()

  Get the value. Note: In an entrySet or entrySet.iterator, unless the set or iterator is used under synchronization of the table as a whole (or you can otherwise guarantee lack of concurrent modification), `getValue` might return null, reflecting the fact that the entry has been concurrently removed. However, there are no assurances that concurrent removals will be reflected using this method.

  Specified by:
    `getValue` in interface `java.util.Map.Entry`
  Returns:
    the current value, or null if the entry has been detectably removed.

### equals

    public boolean equals(java.lang.Object o)

  Specified by:
    `equals` in interface `java.util.Map.Entry`

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in interface `java.util.Map.Entry`

### toString

    public java.lang.String toString()

### clone

    protected java.lang.Object clone()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| See www.opensymphony.com for more information.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD